improving bash

- i shouldve read thru it
This commit is contained in:
2026-04-03 15:52:18 -04:00
parent 7c5206e9da
commit 2887531b19
3 changed files with 11 additions and 11 deletions

View File

@@ -2,18 +2,18 @@
set -eo pipefail
if [ "$TEST_LIBRARY" == "none" ]; then
if [[ "$TEST_LIBRARY" == "none" ]]; then
echo "[INFO] test-library input not set, skipping unit tests.";
exit 0;
fi
echo "[INFO] running unit tests";
if [ "$TEST_LIBRARY" == "standard" ]; then
if [[ "$TEST_LIBRARY" == "standard" ]]; then
if go test ./...; then
echo "[INFO] unit tests passed!";
exit 0;
else
if [ "$TEST_FAIL" == "yes" ]; then
if [[ "$TEST_FAIL" == "yes" ]]; then
echo "[FATAL] unit tests failed!";
exit 1;
else
@@ -22,12 +22,12 @@ if [ "$TEST_LIBRARY" == "standard" ]; then
fi
fi
if [ "$TEST_LIBRARY" == "ginkgo" ]; then
if [[ "$TEST_LIBRARY" == "ginkgo" ]]; then
if ginkgo ./...; then
echo "[INFO] unit tests passed!";
exit 0;
else
if [ "$TEST_FAIL" == "yes" ]; then
if [[ "$TEST_FAIL" == "yes" ]]; then
echo "[FATAL] unit tests failed!";
exit 1;
else